import Vue from 'vue';
import StatusBoxContainer from './StatusBoxContainer.vue';
import BootstrapVue, { BButton, BModal, VBModal} from 'bootstrap-vue';
import { NavbarPlugin } from 'bootstrap-vue';
import { SpinnerPlugin } from 'bootstrap-vue';

import './assets/styles/main.scss';

Vue.component('b-button', BButton);
Vue.component('b-modal', BModal);

Vue.directive('b-modal', VBModal);

Vue.use(NavbarPlugin);
Vue.use(SpinnerPlugin);

new Vue({
	el: '#statusBoxContainer',
  	render: b => b(StatusBoxContainer),
});
